### Method

# Camel MessageInfo take_user_flags

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_take_user_flags (
      CamelMessageInfo* mi,
      CamelNamedFlags* user_flags
    )

#### Description [src]

Takes all the `user_flags`, which replaces any current user flags on the `mi`. The passed-in `user_flags` is consumed by the `mi`, which becomes an owner of it. The caller should not change `user_flags` afterwards.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is also emitted folder’s “changed” signal for this `mi`, if necessary.

Note that it’s not safe to use the `user_flags` after the call to this function, because it can be freed due to no change.

Available since: 3.24

#### Parameters

`user_flags`

  Type: `CamelNamedFlags`

  User flags to set.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the message info changed.